using System.ComponentModel;

namespace Hotline.Share.Enums.KnowledgeBase;

/// <summary>
/// 检索类型
/// </summary>
public enum EKnowledgeRetrievalType
{
    /// <summary>
    /// 全文
    /// </summary>
    [Description("全文")]
    All = 0,

    /// <summary>
    /// 标题
    /// </summary>
    [Description("标题")]
    Title = 1,

    /// <summary>
    /// 正文
    /// </summary>
    [Description("知识内容")]
    Content = 2,

    /// <summary>
    /// 摘要
    /// </summary>
    [Description("摘要")]
    Summary = 3,

    /// <summary>
    /// 所属部门
    /// </summary>
    [Description("所属部门")]
    Org = 4,

    /// <summary>
    /// 关键词
    /// </summary>
    [Description("关键词")]
    KeyWord = 5,
}
